---
title: GlobalEventHandlers.onclose
slug: Web/API/GlobalEventHandlers/onclose
tags:
  - API
  - Dialog
  - Event Handler
  - Experimental
  - GlobalEventHandlers
  - HTML DOM
  - NeedsExample
  - Property
  - Reference
---
<div>{{ApiRef("HTML DOM")}} {{SeeCompatTable}}</div>

<p>The <code><strong>onclose</strong></code> property of the {{domxref("GlobalEventHandlers")}} mixin is an {{domxref("EventHandler")}} for processing {{event("close")}} events sent to a {{HTMLElement("dialog")}} element.</p>

<p>The <code>close</code> event fires when the user closes a <code>&lt;dialog&gt;</code>.</p>

<div class="notecard note">
<p><strong>Note:</strong> To handle the closing of a window, use {{domxref("WindowEventHandlers.onbeforeunload", "onbeforeunload")}} or {{domxref("WindowEventHandlers.onunload", "onunload")}}.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>target</em>.onclose = <em>functionRef</em>;
</pre>

<h3 id="Value">Value</h3>

<p><code>functionRef</code> is a function name or a <a href="/en-US/docs/Web/JavaScript/Reference/Operators/function">function expression</a>. The function receives an {{domxref("Event")}} object as its sole argument.</p>

<p>Only one <code>onclose</code> handler can be assigned to an object at a time. You may prefer to use the {{domxref("EventTarget.addEventListener()")}} method instead, since it's more flexible.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG','webappapis.html#handler-onclose','onclose')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.GlobalEventHandlers.onclose")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{event("close")}} event</li>
 <li>HTML {{HTMLElement("dialog")}} element</li>
 <li>Related event handler: {{domxref("GlobalEventHandlers.oncancel")}}</li>
</ul>
